.wall-item,
.openings-container,
.opening-item,
.form-group,
.product-info,
.walls-container {
	width: 100%;
	
	select,
	input {
		width: 100%;
		font-size: 16px !important;
	}
}

.btn-danger {
	background: #49261d;
	color : #ffffff;
	font-size: 2rem !important;
}

.opening-row {
	display: flex;
	gap: 2rem;
}

.wall-coverage-calculator-wrapper {
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  align-items: flex-start;
  flex-wrap: wrap;
  gap: 4rem;
  margin-top: 2rem;
  background: #f3f3f3;
  color: #49261d;
	    border: 1px solid currentColor;
    padding: 5rem;
}
.wall-coverage-calculator-wrapper h3 {
  margin-bottom: -1.5rem;
}
.wall-coverage-calculator-wrapper > p {
  font-size: 1.6rem;
  line-height: 1.35;
  opacity: 0.7;
}
.wall-coverage-calculator-wrapper .calculator-section {
	width: 100%;
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  align-items: flex-start;
  flex-wrap: wrap;
  gap: 1.5rem;
  padding-bottom: 3rem;
  border-bottom: 1px solid rgba(73, 38, 29, 0.15);
}
.wall-coverage-calculator-wrapper .calculator-section h4 {
  font-family:
    GT Flexa Mono,
    monospace;
  font-size: 1.8rem;
  font-weight: 400;
  text-transform: uppercase;
  letter-spacing: 0.05rem;
}
.wall-coverage-calculator-wrapper .calculator-section > p {
  font-size: 1.4rem;
  line-height: 1.35;
  color: #49261d99;
  margin-top: -0.5rem;
}
.wall-coverage-calculator-wrapper .calculator-section .form-group {
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  align-items: flex-start;
  flex-wrap: wrap;
  gap: 0.5rem;
}
.wall-coverage-calculator-wrapper .calculator-section .form-group label {
  font-family:
    GT Flexa Mono,
    monospace;
  font-size: 1.4rem;
  font-weight: 400;
  letter-spacing: 0.05rem;
  text-transform: uppercase;
}
.wall-coverage-calculator-wrapper .calculator-section .product-info {
  padding: 1.5rem 0;
  border-bottom: 1px solid rgba(73, 38, 29, 0.25);
  font-size: 1.6rem;
  line-height: 1.5;
}
.wall-coverage-calculator-wrapper .calculator-section .product-info strong {
  font-size: 1.8rem;
}
.wall-coverage-calculator-wrapper .calculator-section .product-info span {
  font-size: 1.4rem;
  color: #49261d80;
  margin-top: 1rem;
  display: block;
}
.wall-coverage-calculator-wrapper .calculator-section select {
  cursor: pointer;
}
.wall-coverage-calculator-wrapper .walls-container,
.wall-coverage-calculator-wrapper .openings-container {
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  align-items: flex-start;
  flex-wrap: wrap;
  gap: 2rem;
}
.wall-coverage-calculator-wrapper .wall-item fieldset,
.wall-coverage-calculator-wrapper .opening-item fieldset {
  border: 1px solid rgba(73, 38, 29, 0.2);
  padding: 2rem;
}
.wall-coverage-calculator-wrapper .wall-item fieldset legend,
.wall-coverage-calculator-wrapper .opening-item fieldset legend {
  font-family:
    GT Flexa Mono,
    monospace;
  font-size: 1.4rem;
  font-weight: 400;
  letter-spacing: 0.05rem;
  text-transform: uppercase;
  padding: 0 0.75rem;
}
.wall-coverage-calculator-wrapper .wall-item .wall-row,
.wall-coverage-calculator-wrapper .opening-item .wall-row {
	display: flex;
	gap: 2rem;
}
.wall-coverage-calculator-wrapper .wall-item .wall-row .form-group,
.wall-coverage-calculator-wrapper .opening-item .wall-row .form-group {
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  align-items: flex-start;
  flex-wrap: wrap;
  gap: 0.5rem;
}
.wall-coverage-calculator-wrapper .wall-item .wall-row .form-group label,
.wall-coverage-calculator-wrapper .opening-item .wall-row .form-group label {
  font-family:
    GT Flexa Mono,
    monospace;
  font-size: 1.4rem;
  font-weight: 400;
  letter-spacing: 0.05rem;
  text-transform: uppercase;
}
@media only screen and (max-width: 482px) {
  .wall-coverage-calculator-wrapper .wall-item .wall-row,
  .wall-coverage-calculator-wrapper .opening-item .wall-row {
    grid-template-columns: 1fr;
  }
}
.wall-coverage-calculator-wrapper .btn {
  font-family:
    GT Flexa Mono,
    monospace;
  font-size: 1.6rem;
  font-weight: 400;
  line-height: 1.25;
  letter-spacing: 0.05rem;
  text-transform: uppercase;
  cursor: pointer;
  padding: 1rem 3rem;
  transition:
    background 0.5s cubic-bezier(0.3, 1, 0.3, 1),
    color 0.5s cubic-bezier(0.3, 1, 0.3, 1);
}
.wall-coverage-calculator-wrapper .btn.btn-primary {
  background: #49261d;
  color: #fff;
  width: 100%;
  text-align: center;
}
.wall-coverage-calculator-wrapper .btn.btn-primary:hover,
.wall-coverage-calculator-wrapper .btn.btn-primary:focus {
  background: #25130f;
}
.wall-coverage-calculator-wrapper .btn.btn-secondary {
  color: #49261d;
  background: transparent;
  border: 1px solid #49261d;
  position: relative;
}
.wall-coverage-calculator-wrapper .btn.btn-secondary:hover,
.wall-coverage-calculator-wrapper .btn.btn-secondary:focus {
  background: #49261d;
  color: #f3f3f3;
}
.wall-coverage-calculator-wrapper .calculator-results {
	width: 100%;
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  align-items: flex-start;
  flex-wrap: wrap;
  gap: 3rem;
  padding-top: 1rem;
}
.wall-coverage-calculator-wrapper .calculator-results h4 {
  font-family:
    GT Flexa Mono,
    monospace;
  font-size: 1.8rem;
  font-weight: 400;
  text-transform: uppercase;
  letter-spacing: 0.05rem;
}
.wall-coverage-calculator-wrapper .calculator-results .results-group {
	width: 100%;
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  align-items: flex-start;
  flex-wrap: wrap;
  gap: 1.25rem;
}
.wall-coverage-calculator-wrapper .calculator-results .results-group h5 {
  font-family:
    GT Flexa Mono,
    monospace;
  font-size: 1.6rem;
  font-weight: 400;
  text-transform: uppercase;
  letter-spacing: 0.05rem;
  opacity: 0.6;
}
.wall-coverage-calculator-wrapper .calculator-results .result-item {
	width: 100%;
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
  flex-wrap: wrap;
  gap: 0;
  padding-bottom: 1.25rem;
  border-bottom: 1px solid rgba(73, 38, 29, 0.15);
  font-size: 1.6rem;
}
.wall-coverage-calculator-wrapper .calculator-results .result-item label {
  font-size: 1.6rem;
  line-height: 1.35;
}
.wall-coverage-calculator-wrapper
  .calculator-results
  .result-item
  .result-value {
  font-weight: 500;
  font-family:
    GT Flexa Mono,
    monospace;
  font-size: 1.6rem;
	  margin-left: auto;
}
.wall-coverage-calculator-wrapper
  .calculator-results
  .result-item
  .result-value.large {
  font-size: 2.4rem;
}
.wall-coverage-calculator-wrapper .calculator-results .result-item.highlighted {
  background: #49261d0f;
  padding: 1.5rem;
  border: none;
}
.wall-coverage-calculator-wrapper .add-to-cart-btn {
  margin-top: 1rem;
}

.calculator-results {
	width: 100%;
	
	.results-group {
		width: 100%;
	}
}

@media only screen and (max-width: 1024px) {
  .wall-coverage-calculator-wrapper {
    padding: 3rem;
    gap: 3rem;
  }
}
@media only screen and (max-width: 482px) {
  .wall-coverage-calculator-wrapper {
    padding: 2.5rem ;
    gap: 2.5rem;
  }
}